<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.Role"
	import="net.sf.basedb.core.Group"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.SystemItems"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Expressions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	boolean isAdmin = user.getId() == SystemItems.getId(User.ROOT);
	boolean isPatientCurator = false;
	if (!isAdmin)
	{
		try
		{
			Role admin = Role.getById(dc, SystemItems.getId(Role.ADMINISTRATOR));
			isAdmin = sc.isMemberOf(admin);
		}
		catch (RuntimeException ex)
		{}
	}
	try
	{
		ItemQuery<Group> query = Group.getQuery();
		query.restrict(Restrictions.eq(Hql.property("name"), Expressions.string("PatientCurator")));
		List<Group> result = query.list(dc);
		if (result.size() == 1)
		{
			isPatientCurator = sc.isMemberOf(result.get(0));
		}
	}
	catch (RuntimeException ex)
	{}
%>
<base:page type="default" >
<base:head styles="path.css,~css/reggie-2.css" scripts="~index.js,~reggie-2.js">
<style>
dl
{
	margin-top: 0px;
	margin-bottom: 1em;
	padding: 3px;
}
dt
{
	margin-top: 0.5em;
	margin-left: 0.5em;
}
dd
{
	margin-left: 0.5em;
	margin-bottom: 0.5em;
	padding-left: 3em;
}
ul
{
	margin-top: 0px;
	margin-bottom: 0px;
	margin-left: 0em;
	padding-left: 0em;
}
li
{
	margin-left: 0em;
}
img
{
	vertical-align: text-bottom;
}
.default h3
{
	color: #333377;
	background-color: #E8E8E8;
	font-weight: bold;
	margin: 0;
	padding: 1px 4px 1px 4px;
	border-width: 1px;
	font-size: 1em;
}
.not-implemented
{
	filter: url(css/filters.svg#grayscale); /* Firfox, etc */
	filter: gray; /* IE */
	opacity: 0.75;
	pointer-events: none;
}

.not-implemented:after
{
	content: ' -- coming soon';
}

span.counter
{
	color: #666666;
	font-style: italic;
}

span.counter.done:before
{
	content: '(';
	padding-right: 1px;
}

span.counter + .counter.done:before
{
	content: '+';
	padding-left: 2px;
	padding-right: 2px;
}

span.counter.done:not(.more):after
{
	content: ')';
	padding-left: 1px;
}

.require-permission
{
	color: #999999;
	font-style: italic;
}

.snake-quote
{
	width: 32em;
}

.snake-quote-source
{
	margin-top: 0.5em;
	float: right;
	font-style: italic;
}

.snake-quote .notify-message
{
	margin: 0;
}

.snake-quote .notify-message:before
{
	margin: 0;
	content: '';
}

#summary-stats
{
	margin-top: 1em;
	margin-bottom: 1.5em;
	margin-left: auto;
	margin-right: auto;
	display: table;
	font-variant: small-caps;
	font-size: 125%;
	border-top-width: 2px;
	border-bottom-width: 2px;
	padding: 0.5em;
}


#counter-age
{
	position: absolute;
	bottom: 2px;
	right: 1rem;
	font-size: 90%;
}

#force-update-counters
{
	padding-left: 3px;
	vertical-align: -4px;
}

div.counter
{
	display: inline-block;
	min-width: 4em;
	text-align: right;
	padding-right: 0.25em;
	font-size: 120%;
	font-weight: bold;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement title="Reggie" /></p:path>

	<div class="content">
		<form name="reggie" id="wizard" class="wizard">
		<div id="wizard-status" style="position: absolute; z-index: 99; left: 25%; right: 25%; top: 25%; height: auto; text-align: center;"></div>
		<div class="absolutefull" style="width: 33%;">
			<div class="absolutefull" style="left: 1em; right: 0.5em; ">
			
				<div id="summary-stats">
					<div class="counter" data-counter="patients-all" 
						title="Total number of patients">∙</div> Patients<br>
					<div class="counter" data-counter="specimen-all" 
						title="Total number of specimen tubes">∙</div> Specimen Tubes<br>
					<div class="counter" data-counter="rna-all-extracted" 
						title="Total number of extracted RNA">∙</div> Extracted Rna<br>
					<div class="counter" data-counter="libraries-all-aligned" 
						title="Total number of aligned libraries">∙</div> Aligned Libraries<br>
					<div class="counter" data-counter="rawbioassys-all-with-genereport"
						title="Total number of generated gene reports">∙</div> Gene Reports<br>
					<div class="counter" data-counter="stained-score-complete"
						title="Total number of completely scored histology samples">∙</div> Scored Histology Samples
				</div>
			
				<h3>Statistics and reporting wizards</h3>
				<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home+"/images/case_summary.png" %>" />
						Case summary
					</dt>
					<dd>
						<table>
						<tr>
							<td><input type="text" class="text" 
								name="caseName" id="caseName" title="Please enter a 7-digit case id" 
								style="width: 15em;"></td>
							<td><base:button id="btnCaseSummary" title="Go" image="<%=home+"/images/gonext.png"%>" /></td>
						</tr>
						</table>
					</dd>
				
					<dt>
						<base:icon image="<%=home+"/images/report.png" %>" />
						<span class="require-permission" data-role="" data-link="reports/samplereportgenerator.jsp?ID=<%=ID%>"
							>Sample source report</span>
					</dt>				
					<dd>				
						<ul>
						<li>Sample count report</li> 
						<li>Consent count report</li> 
						<li>Patient count report</li> 
						<li>Overview report</li> 
						<li>Missing sample data report</li> 
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home+"/images/chart_bar.png" %>" />
						<span class="require-permission" data-role="" data-link="reports/scanbquartermonthreportgenerator.jsp?ID=<%=ID%>"
							>Sample processing statistics</span>
					</dt>				
					<dd>				
						<ul>
						<li>SCAN-B quarter/month report</li> 
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home+"/images/yellow-label.png" %>" />
						<span class="require-permission" data-role="" data-link="yellowlabel/list.jsp?ID=<%=ID%>"
							>YellowLabel tracking and reporting</span>
							<span class="counter" data-counter="specimen-active-yellow-label" 
								title="Number of active YellowLabel specimen">∙</span>
					</dt>	
				</dl>
			
				<%
				if (isPatientCurator || isAdmin)
				{
					%>
					<h3>Personal information wizards</h3>
					<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home + "/images/personal.png" %>"/>
						<span class="require-permission" data-role="PatientCurator" data-link="personal/persinfo.jsp?ID=<%=ID%>"
							>Pathology referral form registration</span>
					</dt>
					<dd>
						<ul>
						<li>Register new cases and patients.
						<li>Update existing cases and specimen tubes.
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home + "/images/blood.png" %>"/>
						Blood referral form registration
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/bloodform.jsp?ID=<%=ID%>"
							>Register new/updated blood referral forms and patients</span>
							
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/bloodfollowupform.jsp?ID=<%=ID%>"
							>Register new/updated follow-up blood referral forms</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/consent.png" %>"/>
						<span class="require-permission" data-role="PatientCurator" data-link="personal/consentform.jsp?ID=<%=ID%>"
							>Consent form registration</span>
							<span class="counter" data-counter="case-or-blood-without-consent" 
								title="Number of cases and blood samples without consent">∙</span>
					</dt>
					<dd>
						<ul>
						<li>Register consent forms.
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/export_import.png" %>" />
						Export/import information to/from external registers.
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export-monthly-oplist.jsp?ID=<%=ID%>"
							>Export monthly operation list</span>
							
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export-inca.jsp?ID=<%=ID%>"
							>INCA export</span>

						<li><span id="inca-import" 
							class="require-permission experimental not-implemented" 
							data-role="PatientCurator"
							data-link="personal/import-inca.jsp?ID=<%=ID%>"
							>INCA import</span>

						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export_missing_data_sample_list.jsp?ID=<%=ID%>"
							>Export missing data sample list</span>

						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export_missing_consent_data_sample_list.jsp?ID=<%=ID%>"
							>Export missing consent data sample list</span>
							
						<li><span class="require-permission" data-role="PatientCurator" data-link="batch/frozen-tissue-date.jsp?ID=<%=ID%>"
							>Import frozen tissue date</span> 
						</ul>
					</dd>

					<dt>
						<base:icon image="<%=home+"/images/delete.png" %>" />
						Retraction wizard
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/retractionform.jsp?ID=<%=ID%>"
							>Mark extracts for retraction</span>

						<li><span class="require-permission" data-role="PatientCurator" data-link="personal/retraction_followup_form.jsp?ID=<%=ID%>"
							>Retraction follow-up and destruction</span>
							<span class="counter more" data-counter="patientitems-ready-for-retraction-followup" 
								title="Number of patient items ready for retraction follow-up">∙</span><span 
								class="counter" data-counter="patientitems-ready-for-destruction" 
								title="Number of patient items ready for destruction">∙</span>

						</ul>
					</dd>
					</dl>
					<%
				}
				%>
			
			</div>
		</div>
		
		<div class="absolutefull" style="width: 34%; left: 33%; right: auto;">
			<div class="absolutefull" style="left: 0.5em; right: 0.5em;">
			
				<h3>Sample processing wizards</h3>
				<dl class="leftborder rightborder bottomborder has-lib-prep">

				<dt>
					<base:icon image="<%=home+"/images/specimen.png" %>" />
					<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/specimentube.jsp?ID=<%=ID%>"
						>Specimen tube registration</span>
				</dt>
				<dd>
					<ul>
					<li>Register new specimen tubes.
					</ul>
				</dd>

				<dt>
					<base:icon image="<%=home+"/images/partition.png" %>" />
					<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/partitionform.jsp?ID=<%=ID%>"
						>Partition wizard</span>
				</dt>
				<dd>
					<ul>
					<li>Register new partitions of existing specimens 
						<span class="counter more" data-counter="specimen-for-partition"
							title="Number of unpartitioned specimen">∙</span><span 
						class="counter" data-counter="specimen-for-reextraction" 
							title="Number of specimen for re-extration">∙</span>
					</ul>
				</dd>
					
				<dt>
					<base:icon image="<%=home+"/images/extraction.png" %>" />
					DNA/RNA extraction wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/allprep_protocol.jsp?ID=<%=ID%>"
						>Lab tracking protocol for Allprep isolation</span> 
						<span class="counter" data-counter="lysates-for-allprep" 
							title="Number of unprocessed lysates">∙</span>

					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/extraction_registration.jsp?ID=<%=ID%>"
						>DNA/RNA/FlowThrough registration</span> 
						<span class="counter" data-counter="lysates-for-allprep" 
							title="Number of unprocessed lysates">∙</span>
							
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rna_normalization.jsp?ID=<%=ID%>"
						>RNA concentration normalization</span> 
						<span class="counter" data-counter="rna-to-normalize" 
							title="Number of RNA not yet normalized">∙</span>
					</ul>
				</dd>
				<dt>
					<base:icon image="<%=home+"/images/rnaqc.png" %>" />
					RNA quality control wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_aliquot.jsp?ID=<%=ID%>"
						>Create aliquots on Bioanalyzer/Caliper plates</span> 
						<span class="counter" data-counter="rna-without-rnaqc" 
							title="Number of RNA waiting for QC">∙</span>
					
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_plate_export.jsp?ID=<%=ID%>"
						>Export Caliper sample names and run parameters</span> 
						<span class="counter" data-counter="caliper-rnaqc-waiting" 
							title="Number of active Caliper plates">∙</span>
					
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_plate_import.jsp?ID=<%=ID%>"
						>Import RQS scores from Caliper well table file</span> 
						<span class="counter" data-counter="caliper-rnaqc-waiting"
							title="Number of active Caliper plates">∙</span>
							
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_baprotocol.jsp?ID=<%=ID%>"
						>Lab protocol for BioAnalyzer plates</span> 
						<span class="counter" data-counter="bioanalyzer-rnaqc-waiting" 
							title="Number of active BioAnalyzer plates">∙</span>
							
					<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_bioanalyzer.jsp?ID=<%=ID%>"
						>Register RIN scores for BioAnalyzer plates</span> 
						<span class="counter" data-counter="bioanalyzer-rnaqc-waiting" 
							title="Number of active BioAnalyzer plates">∙</span>
					</ul>
				</dd>			
				</dl>
			
				<h3>Histology wizards</h3>
				<dl class="leftborder rightborder bottomborder">			
				<dt>
					<base:icon image="<%=home+"/images/histology.png" %>" />
					Embedding and staining wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_protocol.jsp?ID=<%=ID%>"
						>Lab tracking protocol for FFPE/HE</span> 
						<span class="counter" data-counter="histology-active-lists" 
							title="Number of active histology work lists">∙</span>
					
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_block.jsp?ID=<%=ID%>"
						>Register paraffin blocks</span> 
						<span class="counter" data-counter="paraffin-blocks-not-embedded"
						 	title="Number of paraffin blocks waiting for registration">∙</span>

					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_labels.jsp?ID=<%=ID%>"
						>Download HE glass labels</span>
					
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_glass.jsp?ID=<%=ID%>"
						>Register HE glass</span> 
						<span class="counter" data-counter="paraffin-blocks-without-heglass" 
							title="Number of paraffin blocks without HE glass">∙</span>
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/microscope.png" %>" />
					Scoring wizard
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_score.jsp?ID=<%=ID%>"
						>Score HE glass</span> 
						<span class="counter" data-counter="heglass-not-scored" 
							title="Number of unscored HE glass">∙</span>
					</ul>
				</dd>
				</dl>
			
				<h3>Sample curation wizards</h3>
				<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home+"/images/flag.png" %>" />
						Re-processing wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PrepCurator" data-link="flaggedrna/search.jsp?ID=<%=ID%>"
							>Flagged RNA</span> 
							<span class="counter" data-counter="flagged-rna" 
								title="Number of flagged RNA items">∙</span>
						</ul>
					</dd>

					<dt>
						<base:icon image="<%=home+"/images/smile.png" %>" />
						Batch update wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="PrepCurator" data-link="batch/linked-specimen.jsp?ID=<%=ID%>"
							>Linked specimen</span> 
						</ul>
					</dd>

				</dl>
				
				<%
				if (isAdmin)
				{
					%>
					<h3>Server administrator wizards</h3>
					<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home + "/images/install.png" %>" />
						<span class="require-permission" data-role="Administrator" data-link="admin/install.jsp?ID=<%=ID%>">Installation wizard</span>
					</dt>
					<dd>
						<ul>
						<li>Check that items needed by Reggie exists in BASE.
						<li>Create and fix items.
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home + "/images/ogs-cluster.png"%>" />
						Other tasks
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="Administrator" data-link="admin/remote/list-hosts.jsp?ID=<%=ID%>"
							>Access remote hosts including Open Grid Scheduler hosts</span>
							
						<li><span class="require-permission" data-role="Administrator" data-link="admin/stray-files.jsp?ID=<%=ID%>"
							>Stray files wizard</span>
							<span class="counter" data-counter="stray-folders" 
								title="Number of stray folders">∙</span>
						</ul>
					</dd>
					</dl>
					<%
				}
				%>
				
			</div>
		</div>
		
		<div class="absolutefull" style="width: 33%; left: auto;">
			<div class="absolutefull" style="left: 0.5em; right: 1em; bottom: 2em;">
				
				
				<h3>Library preparation wizards</h3>
				<dl class="leftborder rightborder bottomborder">
			
				<dt>
					<base:icon image="<%=home+"/images/libprep.png" %>" />
					Library preparation design wizards <span class="counter more" data-counter="rna-without-mrna-or-lib"
							title="Number of RNA with no child mRNA or Library">∙</span><span 
						class="counter" data-counter="normalized-rna-without-mrna-or-lib" 
							title="Number of pre-normalized RNA with no child mRNA or Library">∙</span>
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPlateDesigner" data-link="libprep/select_rna.jsp?ID=<%=ID%>"
						>New manual library preparation</span> 
						(<span class="require-permission" data-role="LibraryPrep" data-link="libprep/select_rna.jsp?ID=<%=ID%>&autoDesign=1"
						>auto-design</span>)
					<li><span class="require-permission" data-role="LibraryPlateDesigner" data-link="libprep/select_rna.jsp?ID=<%=ID%>&neoprep=1"
						>New NeoPrep library preparation</span> 
						(<span class="require-permission" data-role="LibraryPrep" data-link="libprep/select_rna.jsp?ID=<%=ID%>&neoprep=1&autoDesign=1"
						>auto-design</span>)
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/pipette.png" %>" />
					Manual library preparation wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/mrna_protocol.jsp?ID=<%=ID%>"
						>Lab protocols for mRNA and cDNA preparation</span> 
						<span class="counter" data-counter="mrna-plates-not-registered" 
							title="Number of mRNA plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/rna_dilution_registration.jsp?ID=<%=ID%>"
						>RNA dilution registration</span>
						<span class="counter" data-counter="mrna-plates-not-diluted" 
							title="Number of mRNA plates waiting for dilution">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/mrna_registration.jsp?ID=<%=ID%>"
						>mRNA registration and quality control results</span> 
						<span class="counter" data-counter="mrna-plates-diluted-not-registered" 
							title="Number of mRNA plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/cdna_registration.jsp?ID=<%=ID%>"
						>cDNA registration</span> 
						<span class="counter" data-counter="cdna-plates-not-registered" 
							title="Number of cDNA plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/assign_barcode.jsp?ID=<%=ID%>"
						>Assign barcodes to cDNA plate</span> 
						<span class="counter" data-counter="cdna-plates-for-barcoding" 
							title="Number of cDNA plates waiting for barcode layout">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/libprep_protocol.jsp?ID=<%=ID%>"
						>Lab protocols and files for library preparation</span> 
						<span class="counter" data-counter="lib-plates-for-libprep" 
							title="Number of Lib plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/libqc_registration.jsp?ID=<%=ID%>"
						>Register quality control results</span> 
						<span class="counter" data-counter="lib-plates-for-libprep" 
							title="Number of Lib plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/lib_registration.jsp?ID=<%=ID%>"
						>Library registration</span> 
						<span class="counter" data-counter="lib-plates-for-libprep"
							title="Number of Lib plates waiting for registration">∙</span>
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/neoprep.png" %>" />
					NeoPrep library preparation wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/neoprep_protocol.jsp?ID=<%=ID%>"
						>Lab protocols for NeoPrep library preparation</span> 
						<span class="counter" data-counter="neoprep-plates-for-libprep" 
							title="Number of NeoPrep plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/lib_registration.jsp?ID=<%=ID%>&neoprep=1"
						>NeoPrep library registration</span> 
						<span class="counter" data-counter="neoprep-plates-for-libprep"
							title="Number of NeoPrep plates waiting for registration">∙</span>
					</ul>
				</dd>
				
				<dt>
					<base:icon image="<%=home+"/images/pool.png" %>" />
					Pooling wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/create_pools.jsp?ID=<%=ID%>"
						>Create pooled libraries</span> 
						<span class="counter more" data-counter="lib-plates-for-pooling"
							title="Number of Lib plates waiting for pooling">∙</span><span 
						class="counter" data-counter="neoprep-plates-for-pooling"
							title="Number of NeoPrep plates waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/pool_protocol.jsp?ID=<%=ID%>"
						>Lab protocols for pooling</span> 
						<span class="counter" data-counter="pools-not-registered" 
							title="Number of pools waiting for registration">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/pool_registration.jsp?ID=<%=ID%>"
						>Register pooled libraries</span> 
						<span class="counter" data-counter="pools-not-registered" 
							title="Number of pools waiting for registration">∙</span>
					</ul>
				</dd>
				</dl>
				
				<h3>Sequencing wizards</h3>
				<dl class="leftborder rightborder bottomborder">
				
				<dt>
					<base:icon image="<%=home+"/images/flowcell.png" %>" />
					Clustering and sequencing wizards
				</dt>
				<dd>
					<ul>
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/create_flowcells.jsp?ID=<%=ID%>"
						>Create flow cells</span> 
						<span class="counter" data-counter="pools-not-used" 
							title="Number of pools waiting for sequencing">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/flowcell_protocol.jsp?ID=<%=ID%>"
						>Lab protocol for sequencing</span> 
						<span class="counter" data-counter="flow-cells-not-sequenced" 
							title="Number of flow cells waiting to be sequenced">∙</span>
					
					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/sequencing_started.jsp?ID=<%=ID%>"
						>Register sequencing started</span> 
						<span class="counter" data-counter="flow-cells-not-sequenced" 
							title="Number of flow cells waiting to be sequenced">∙</span>

					<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/sequencing_ended.jsp?ID=<%=ID%>"
						>Register sequencing ended</span> 
						<span class="counter" data-counter="sequencing-runs-active" 
							title="Number of active sequencing runs">∙</span>
					</ul>
				</dd>
				
				</dl>
			
				<h3>Secondary analysis wizards</h3>
				<dl class="leftborder rightborder bottomborder">
					<dt>
						<base:icon image="<%=home+"/images/server.png" %>" />
						Demux and merge wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/sequencing_confirm.jsp?ID=<%=ID%>"
							>Confirm sequencing completed</span> 
							<span class="counter" data-counter="sequencing-runs-unconfirmed" 
								title="Number of ended but not confirmed sequencing runs">∙</span>
						
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/demux_start.jsp?ID=<%=ID%>"
							>Start demux and merge</span> 
							<span class="counter" data-counter="sequencing-runs-for-demux" 
								title="Number of confirmed sequencing runs waiting to be demuxed">∙</span>
						
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/demux_confirm.jsp?ID=<%=ID%>"
							>Confirm demux and merge completed</span> 
							<span class="counter" data-counter="demux-jobs-not-confirmed"
								title="Number of demux jobs waiting for confirmation">∙</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/align.png" %>" />
						Masking and alignment wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/align_start.jsp?ID=<%=ID%>"
							>Start masking and alignment</span> 
							<span class="counter" data-counter="merged-sequences-for-alignment"
								title="Number of merged sequences waiting for alignment">∙</span>
								
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/align_confirm.jsp?ID=<%=ID%>"
							>Confirm masking and alignment completed</span> 
							<span class="counter" data-counter="aligned-sequences-not-confirmed" 
								title="Number of aligned sequences waiting for confirmation">∙</span>
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home+"/images/wizard.png" %>" />
						Feature extraction wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/cufflinks_start.jsp?ID=<%=ID%>"
							>Start feature extraction</span> 
						<span class="counter" data-counter="aligned-sequences-for-cufflinks" 
								title="Number of aligned sequences confirmed for Cufflinks">∙</span>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/cufflinks_confirm.jsp?ID=<%=ID%>"
							>Confirm feature extraction completed</span>
						<span class="counter" data-counter="cufflinks-not-confirmed" 
							title="Number of Cufflinks jobs waiting for confirmation">∙</span>
						</ul>
					</dd>

					<dt>
						<base:icon image="<%=home+"/images/pdffile.png" %>" />
						Report wizards
					</dt>
					
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/report.jsp?ID=<%=ID%>&report=GENE_REPORT"
							>Gene report</span> 
						<span class="counter" data-counter="rawbioassys-without-genereport" 
								title="Number of rawbioassays without a Gene report PDF">∙</span>
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/report.jsp?ID=<%=ID%>&report=PILOT_REPORT"
							>Pilot report</span> 
						<span class="counter" data-counter="rawbioassys-without-pilotreport" 
								title="Number of rawbioassays without a Pilot report PDF">∙</span>
						</ul>
					</dd>
				</dl>
				
			
			</div>
			<div id="counter-age"><b>Counters last updated</b> ?</div>
		</div>
		</form>
		
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>