<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%@ taglib prefix="m" uri="/WEB-INF/menu.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~create_pools.js,~plate.js,~pools.js" 
	styles="path.css,toolbar.css,~../css/reggie-2.css,~../css/plate.css"
	>
<style>
.lib
{
	font-weight: bold;
	margin-bottom: 0.25em;
	overflow: hidden;
	text-overflow: ellipsis;
}
.barcode
{}
.adapter
{}
.molarity
{
	float: right;
}

.volume
{
	color: #C80000;
}
.eb
{
	color: #0000C8;
	float: right;
}
.pool-eb
{
	color: #0000C8;
}
.remarks
{
	color: #C80000;
	font-style: italic;
}

#pool-row th
{
	border-top: 0;
	border-bottom: 1px solid #808080;
	vertical-align: top;
	padding: 0;
}

.pool.warning
{
	background-image: url('../images/warning.png');
	background-position: 2% 98%;
	background-repeat: no-repeat;
}

.pool-name
{
	padding: 2px;
}

.pool-data
{
	font-weight: normal;
	padding: 0;
	border-top: 1px solid #808080;
	border-bottom: 1px solid #808080;
	background-color: #FFFFFF;
}

.pool-data td
{
	text-align: left;
	white-space: nowrap;
}

.pool-data td.prompt
{
	width: auto !important;
	min-width: 0 !important;
}

.pool-data textarea
{
	width: 95%;
	height: 3.5em;
}


.pool-summary
{
	font-weight: normal;
	padding: 2px;
	font-style: italic;
}

.pool-summary .warning-message
{
	color: #C80000;
}

.well
{
	height: 60px;
	max-height: 60px;
	min-height: 60px;
	width: 100px;
	max-width: 100px;
	min-width: 100px;
}

.well.exclude-from-pool
{
	background-color: #FFFFFF !important;
}

.well.exclude-from-pool.selected
{
	background-color: #D8D8D8 !important;
}

.well.exclude-from-pool *
{
	color: #999999 !important;
}

.well.low-volume, .well.high-adapter
{
	background-image: url('../images/warning.png');
	background-position: 98% 5%;
	background-repeat: no-repeat;
}

.well.flagged
{
	background-image: url('../images/flag.png');
	background-position: 98% 5%;
	background-repeat: no-repeat;
}

.well.primary.empty
{
	background-color: #F0F0F0;
}

.yellow-specimen .if-yellow
{
	background-image: url('../images/yellow-label-small.png');
	background-position: 1px 50%;
	background-repeat: no-repeat;
	/* Grow background without shifting text position veritcally, move to right to make room for icon*/
	padding: 1px 2px 1px 14px;
	margin: -1px -2px -1px -2px;
}

.well.flagged.yellow-specimen .if-yellow
{
	/* The yellow background will cover the regular flag icon se we duplicate it... */
	background-image: url('../images/yellow-label-small.png'), url('../images/flag.png');
	background-position: 1px 50%, 98% 50%;
}
.well.low-volume.yellow-specimen .if-yellow, .well.high-adapter.yellow-specimen .if-yellow
{
	/* The yellow background will cover the regular warning icon se we duplicate it... */
	background-image: url('../images/yellow-label-small.png'), url('../images/warning.png');
	background-position: 1px 50%, 98% 50%;
}


</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Create pooled libraries" 
		/></p:path>

	<div class="content" id="content">
	
	<m:menu
		id="menuContext"
		style="display: none; font-weight: normal; text-align: left;">
		<m:menuitem 
			id="mnuExcludeFromPool"
			title="Exclude from pool&hellip;" 
			icon="<%=home+"/images/delete.png"%>" 
			tooltip="Exclude the selected library from the pool"
		/>
		<m:menuitem 
			id="mnuIncludeInPool"
			title="Include in pool" 
			icon="<%=home+"/images/new.png"%>" 
			tooltip="Include the selected library in the pool" 
		/>
		<m:menuseparator />
		<m:menuitem 
			id="mnuSetTargetVolume"
			title="Separate mix volume&hellip;" 
			icon="<%=home+"/images/specimen.png"%>" 
			tooltip="Set volume to use in the pool for separately mixed libraries (dynamic mixing only)" 
		/>
		<m:menuitem  
			id="mnuFlag"
			title="Toggle flag" 
			icon="<%=home+"/images/flag.png"%>" 
			tooltip="Flag the parent RNA for the selected libraries" 
		/>
		<m:menuitem  
			id="mnuComment"
			title="Comments&hellip;" 
			icon="<%=home+"/images/paste.png"%>" 
			tooltip="Add a comment to the selected libraries" 
		/>
		<m:menuseparator id="sepCaseSummary" />
		<m:menuitem
			id="mnuCaseSummary"
			icon="<%=home+"/images/case_summary.png"%>"
			tooltip="Show case summary"
			title="Case summary&hellip;"
		/>
	</m:menu>
	
	
	<form name="reggie" class="wizard" id="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select source for pools</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Library bioplate</td>
				<td class="input">
					<select name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing Library bioplate. The list contain all Library bioplates that
					contain libraries with no child items.
				</td>
			</tr>
			<tr>
				<td class="prompt"></td>
				<td class="input"> - or -</td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt"></td>
				<td class="input">
					<table><tr><td>
						<base:button 
							id="btnCreateManualPool"
							title="Create manual pool" 
							image="<%=home+"/images/gonext.png"%>" 
						/>
					</td></tr></table>
				
				</td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step auto-hide" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Calculate pool mixing volumes</div>
		<div class="step-content">

			<tbl:toolbar subclass="bottomborder bg-filled-50">
				<tbl:button 
					id="btnExcludeFromPool"
					title="Exclude from pool&hellip;" 
					image="<%=home+"/images/delete.png"%>" 
					tooltip="Exclude the selected libraries from the pool"
				/>
				<tbl:button 
					id="btnIncludeInPool"
					title="Include in pool" 
					image="<%=home+"/images/new.png"%>" 
					tooltip="Include the selected libraries in the pool"
				/>
				<tbl:button 
					id="btnSetTargetVolume"
					title="Separate mix volume&hellip;" 
					image="<%=home+"/images/specimen.png"%>" 
					tooltip="Set volume to use in the pool for separately mixed libraries (dynamic mixing only)" 
				/>
				<tbl:button 
					id="btnFlag"
					title="Toggle flag" 
					image="<%=home+"/images/flag.png"%>" 
					tooltip="Flag the parent RNA for the selected libraries"
				/>
				<tbl:button 
					id="btnComment"
					title="Comments&hellip;" 
					image="<%=home+"/images/comment.png"%>" 
					tooltip="Add a comment to the selected libraries" 
				/>
			</tbl:toolbar>
				
				<div class="messagecontainer note" style="margin: 1em auto 1em auto; width: 75%; ">
					Select a target molarity and volume when mixing the libraries to a pools.
					Use the <b>Dynamic strategy</b> to prioritize final pool molarity by mixing 
					different volumes for each library. Use the <b>Fixed strategy</b> to mix all 
					libraries to the given volume. For each pool a summary is calculated: 
					<i>Number of libraries</i> • <i>Final molarity</i> • <i>Total volume</i> • <i>EB volume (dynamic mixing only)</i>
				</div>
			
			<table class="plate" style="margin: 1em auto 1em auto;" id="plate">
			</table>
			<div style="margin: 0.5em; text-align: center;">
			Low molarity = The concentration of this library too low to mix to target molarity for the pool.<br>
			</div>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="btnCreateManualPool2" title="Create manual pool" image="<%=home+"/images/gonext.png"%>" 
			style="pointer-events: all;"
		/></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>