<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~pool_protocol.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Lab protocols for library pooling" 
		/></p:path>

	<div class="content">

	<form name="reggie" action="pool_protocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
	<input type="hidden" name="ID" value="<%=ID%>">
	<input type="hidden" name="view" value="list">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select pools</div>
		<div class="step-content">
			<table class="step-form">
			<tr>
				<td class="prompt">Library plate</td>
				<td class="input">
					<select name="bioplate" id="bioplate">
						<option value="0">- manual pools -
					</select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select the library bioplate that should be pooled in this step. The list contains
					all plates with pools that has not yet been created (determined by abscense of creation date).
					Use the <b>manual pools</b> option to select pools that has been manually created.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Pools</td>
				<td class="input">
					<select name="pools" id="pools" size="6" multiple></select>
				</td>
				<td class="status" id="pools.status"></td>
				<td class="help">
					<span id="pools.message" class="message"></span>
					Select the pools to work with. If a plate has been selected no changes can be made.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Lab protocols</td>
				<td class="input">
					<span id="listview" class="link" data-protocol-type="list"><img src="../images/listview.png">&nbsp;List layout</span><br>
					<span id="plateview" class="link" data-protocol-type="plate"><img src="../images/plateview.png">&nbsp;Plate layout</span><br>
				</td>
				<td class="status" id="protocol.status"></td>
				<td class="help">
					<span id="protocol.message" class="message"></span>
					The 'list layout' generates a table with one row for each well on the work plate.
					The 'plate layout' generates a grid with wells arranged according to row and column coordinates.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>